Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cmp
Class CertResponse

`java.lang.Object
oracle.security.crypto.cmp.CertResponse`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

public class CertResponse
extends java.lang.Object
implements oracle.security.crypto.asn1.ASN1Object

Component of a PKI message body sent in response to a PKI certificate request message.

Constructor Summary
`CertResponse()` Create a new, empty `CertResponse`.
`CertResponse(java.math.BigInteger certReqID, PKIStatusInfo status)` Create a new `CertResponse` with the specified ID number (corresponding to the approriate `CertRequest`), and status info.
`CertResponse(java.math.BigInteger certReqID, PKIStatusInfo status, CertifiedKeyPair certKeyPair)` Create a new `CertResponse` with the specified ID number (corresponding to the approriate `CertRequest`), status info and `CertifiedKeyPair`.
`CertResponse(java.io.InputStream is)`
`CertResponse(PKIStatusInfo status)` Create a new `CertResponse` with the specified status info.
`CertResponse(PKIStatusInfo status, CertifiedKeyPair certKeyPair)` Create a new `CertResponse` with the specified status info and `CertifiedKeyPair`.

Method Summary
`CertifiedKeyPair` | `getCertifiedKeyPair()` Returns the certificate and optional private key/publication info for this response, or `null` if none is present.
`java.math.BigInteger` | `getCertReqID()` Get the ID number to match with the corresponding request.
`UTF8PairsRegInfo` | `getResponseInfo()`
`PKIStatusInfo` | `getStatusInfo()` Get the status of the response.
`void` | `input(java.io.InputStream is)`
`int` | `length()`
`void` | `output(java.io.OutputStream os)`
`void` | `setResponseInfo(UTF8PairsRegInfo rspInfo)` Sets response info for this `CertResponse`.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CertResponse

    public CertResponse()

  Create a new, empty `CertResponse`. Since an object thus created is not valid, this constructor is intended primarily for use with the `input(java.io.InputStream)` method.

### CertResponse

    public CertResponse(PKIStatusInfo status)

  Create a new `CertResponse` with the specified status info.

### CertResponse

    public CertResponse(java.math.BigInteger certReqID,
                        PKIStatusInfo status)

  Create a new `CertResponse` with the specified ID number (corresponding to the approriate `CertRequest`), and status info.

### CertResponse

    public CertResponse(PKIStatusInfo status,
                        CertifiedKeyPair certKeyPair)

  Create a new `CertResponse` with the specified status info and `CertifiedKeyPair`.

  Note: A `CertifiedKeyPair` containing a certificate may not be included if the response status is REJECTION or WAITING and/or contains failure info. Instead use the `CertResponse(PKIStatusInfo)` or `CertResponse(BigInteger, PKIStatusInfo)` constructor.

### CertResponse

    public CertResponse(java.math.BigInteger certReqID,
                        PKIStatusInfo status,
                        CertifiedKeyPair certKeyPair)

  Create a new `CertResponse` with the specified ID number (corresponding to the approriate `CertRequest`), status info and `CertifiedKeyPair`.

  Note: A `CertifiedKeyPair` containing a certificate may not be included if the response status is REJECTION or WAITING and/or contains failure info. Instead use the `CertResponse(PKIStatusInfo)` or `CertResponse(BigInteger, PKIStatusInfo)` constructor.

### CertResponse

    public CertResponse(java.io.InputStream is)
                 throws java.io.IOException

Method Detail

### getCertReqID

    public java.math.BigInteger getCertReqID()

  Get the ID number to match with the corresponding request.
  Returns:
    the request ID number, or `null` if not specified.

### getStatusInfo

    public PKIStatusInfo getStatusInfo()

  Get the status of the response.

### getCertifiedKeyPair

    public CertifiedKeyPair getCertifiedKeyPair()

  Returns the certificate and optional private key/publication info for this response, or `null` if none is present.

### setResponseInfo

    public void setResponseInfo(UTF8PairsRegInfo rspInfo)

  Sets response info for this `CertResponse`.

  Note: Response info may not be included if the response status is WAITING.

### getResponseInfo

    public UTF8PairsRegInfo getResponseInfo()

### toString

    public java.lang.String toString()

### input

    public void input(java.io.InputStream is)
               throws java.io.IOException

  Specified by:
    `input` in interface `oracle.security.crypto.util.Streamable`
  Throws:
    `java.io.IOException`

### output

    public void output(java.io.OutputStream os)
                throws java.io.IOException

  Specified by:
    `output` in interface `oracle.security.crypto.util.Streamable`
  Throws:
    `java.io.IOException`

### length

    public int length()

  Specified by:
    `length` in interface `oracle.security.crypto.util.Streamable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.